Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.wtc.jatmi
Interface FML

All Known Implementing Classes:
  TypedFML, TypedFML32

public interface FML

This is the FML interface. Both FML16 and FML32 implement this interface, and hence both types of buffer can be treated identically by applications.

See Also:
  `FmlKey`, `FldTbl`, `mkfldclass`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `FLD_CARRAY` A field of type carray - Object: byte[]
`static int` | `FLD_CHAR` A field of type char - Object: Character
`static int` | `FLD_DECIMAL` A field of type decimal - Object:
`static int` | `FLD_DOUBLE` A field of type double - Object: Double
`static int` | `FLD_FLOAT` A field of type float - Object: Float
`static int` | `FLD_FML32` An FML32 buffer field - Object: TypedFML32
`static int` | `FLD_INT` A field of type int - Object:
`static int` | `FLD_LONG` A field of type long - Object: Integer
`static int` | `FLD_MBSTRING` A MBSTRING buffer field - Object: TypedMBString
`static int` | `FLD_PTR` A TypedBuffer field - Object: TypedBuffer
`static int` | `FLD_SHORT` A field of type short - Object: Short
`static int` | `FLD_STRING` A field of type string - Object: String
`static int` | `FLD_VIEW32` A VIEW32 buffer field - Object:

Method Summary
`void` | `Fchg(FmlKey key, Object value)` Adds the given object, whose field id is contained in key to the fielded buffer.
`void` | `Fchg(int fldid, int occurance, Object value)` Adds the given object.
`void` | `Fdel(FmlKey key)` Delete given key from fielded buffer.
`void` | `Fdel(int fldid, int occurance)` Delete given element from fielded buffer.
`Object` | `Fget(FmlKey key)` Retrieves a copy of the object stored in the FML buffer of the given field id and occurance number.
`Object` | `Fget(int fldid, int occurance)` Retrieves a copy of the object stored in the FML buffer of the given field id and occurance number.
`Iterator` | `Fiterator()` Returns an iterator for the start of the fielded FML buffer.
`int` | `Fldid(String name)` Returns the field id corresponding to the given name.
`int` | `Fldno(int fldid)` Given a fieldid, this returns the field number
`int` | `Fldtype(int fldid)` Given a fieldid, this returns the field type
`String` | `Fname(int fldid)` Returns the string that matches the given fieldid.
`int` | `Foccur(int fldid)` Returns the number of occurences of the field specified by fldid
`int` | `Fused()` Returns the amount of space that this FML buffer will take when present
`FldTbl[]` | `getFieldTables()` gets the current list of FldTbls that are being used by this TypedFML object to do FldId/String mappings.
`void` | `setFieldTables(FldTbl[] tables)` This function sets the list of FldTbl objects that can be used for FldId/String mappings

Field Detail

### FLD_CARRAY

    public static final int FLD_CARRAY

  A field of type carray - Object: byte[]

  See Also:
    Constant Field Values

### FLD_CHAR

    public static final int FLD_CHAR

  A field of type char - Object: Character

  See Also:
    Constant Field Values

### FLD_DECIMAL

    public static final int FLD_DECIMAL

  A field of type decimal - Object:

  See Also:
    Constant Field Values

### FLD_DOUBLE

    public static final int FLD_DOUBLE

  A field of type double - Object: Double

  See Also:
    Constant Field Values

### FLD_FLOAT

    public static final int FLD_FLOAT

  A field of type float - Object: Float

  See Also:
    Constant Field Values

### FLD_FML32

    public static final int FLD_FML32

  An FML32 buffer field - Object: TypedFML32

  See Also:
    Constant Field Values

### FLD_INT

    public static final int FLD_INT

  A field of type int - Object:

  See Also:
    Constant Field Values

### FLD_LONG

    public static final int FLD_LONG

  A field of type long - Object: Integer

  See Also:
    Constant Field Values

### FLD_MBSTRING

    public static final int FLD_MBSTRING

  A MBSTRING buffer field - Object: TypedMBString

  See Also:
    Constant Field Values

### FLD_PTR

    public static final int FLD_PTR

  A TypedBuffer field - Object: TypedBuffer

  See Also:
    Constant Field Values

### FLD_SHORT

    public static final int FLD_SHORT

  A field of type short - Object: Short

  See Also:
    Constant Field Values

### FLD_STRING

    public static final int FLD_STRING

  A field of type string - Object: String

  See Also:
    Constant Field Values

### FLD_VIEW32

    public static final int FLD_VIEW32

  A VIEW32 buffer field - Object:

  See Also:
    Constant Field Values

Method Detail

### Fchg

    public void Fchg(FmlKey key,
                     Object value)
              throws Ferror

  Adds the given object, whose field id is contained in key to the fielded buffer. key also contains the occurance number of the field to add to the buffer. If an entry of that field id and occurance exists in the buffer, this object will take its place. If there are no occurance numbers prior to this occurance number and field id then the occurances prior to this one will be filled in with null entries. The following table gives the Field type and the associated object expected by FML
  - FLD_SHORT - Short
  - FLD_LONG - Integer
  - FLD_CHAR - Character
  - FLD_FLOAT - Float
  - FLD_DOUBLE - Double
  - FLD_STRING - String
  - FLD_CARRAY - byte[]
  - FLD_INT - Not yet supported
  - FLD_DECIMAL - Not yet supported
  - FLD_PTR - TypedBuffer
  - FLD_FML32 - TypedFML32
  - FLD_VIEW32 - Not yet supported

  Parameters:
    `key` - The fieldid and occurance to add to the buffer
    `value` - The element to add to the buffer. Note that this object must match the type of object expected by the field type, or an invalid cast exception will be thrown
  Throws:
    `Ferror` - usually if space is low
  See Also:
    `FmlKey`

### Fchg

    public void Fchg(int fldid,
                     int occurance,
                     Object value)
              throws Ferror

  Adds the given object. This version of Fchg takes the fieldid and occurance number, and may be more conveinient than the other version of Fchg which requires an FmlKey to be constructed by the caller. If an entry of that field id and occurance exists in the buffer, this object will take its place. If there are no occurance numbers prior to this occurance number and field id then the occurances prior to this one will be filled in with null entries. The following table gives the Field type and the associated object expected by FML
  - FLD_SHORT - Short
  - FLD_LONG - Integer
  - FLD_CHAR - Character
  - FLD_FLOAT - Float
  - FLD_DOUBLE - Double
  - FLD_STRING - String
  - FLD_CARRAY - byte[]
  - FLD_INT - Not yet supported
  - FLD_DECIMAL - Not yet supported
  - FLD_PTR - TypedBuffer
  - FLD_FML32 - TypedFML32
  - FLD_VIEW32 - Not yet supported

  Parameters:
    `fldid` - The fieldid to add to this buffer
    `occurance` - The occurance number of the field to add
    `value` - The element to add to the buffer. Note that this object must match the type of object expected by the field type, or an invalid cast exception will be thrown
  Throws:
    `Ferror` - usually if space is low
  See Also:
    `FmlKey`

### Fdel

    public void Fdel(FmlKey key)
              throws Ferror

  Delete given key from fielded buffer. The object with the given field id and the given occurance will be removed from the buffer

  Parameters:
    `key` - The field id and occurance of the element to be removed
  Throws:
    `Ferror` - if the element is not in the buffer among other reasons

### Fdel

    public void Fdel(int fldid,
                     int occurance)
              throws Ferror

  Delete given element from fielded buffer. The object with the given field id and the given occurance will be removed from the buffer. This differs from the other version in that it takes the field id and occurance number rather than a constructed key

  Parameters:
    `fldid` - The field id of the element to be removed
    `occurance` - The occurance of the element to be removed
  Throws:
    `Ferror` - if the element is not in the buffer among other reasons

### Fget

    public Object Fget(FmlKey key)
                throws Ferror

  Retrieves a copy of the object stored in the FML buffer of the given field id and occurance number. Notice that changing the object returned will NOT change the value in the FML buffer. The value returned is a COPY of the value in the FML buffer. The following table gives the Field type and the associated object returned by FML
  - FLD_SHORT - Short
  - FLD_LONG - Integer
  - FLD_CHAR - Character
  - FLD_FLOAT - Float
  - FLD_DOUBLE - Double
  - FLD_STRING - String
  - FLD_CARRAY - byte[]
  - FLD_INT - Not yet supported
  - FLD_DECIMAL - Not yet supported
  - FLD_PTR - TypedBuffer
  - FLD_FML32 - TypedFML32
  - FLD_VIEW32 - Not yet supported

  Parameters:
    `key` - the field id and occurance number of the element to retrieve
  Returns:
    the field object stored at that occurance number
  Throws:
    `Ferror` - if the object is not found in the buffer among other reasons

### Fget

    public Object Fget(int fldid,
                       int occurance)
                throws Ferror

  Retrieves a copy of the object stored in the FML buffer of the given field id and occurance number. This version of the API takes the fieldid and occurance number rather than the FmlKey Notice that changing the object returned will NOT change the value in the FML buffer. The value returned is a COPY of the value in the FML buffer. The following table gives the Field type and the associated object returned by FML
  - FLD_SHORT - Short
  - FLD_LONG - Integer
  - FLD_CHAR - Character
  - FLD_FLOAT - Float
  - FLD_DOUBLE - Double
  - FLD_STRING - String
  - FLD_CARRAY - byte[]
  - FLD_INT - Not yet supported
  - FLD_DECIMAL - Not yet supported
  - FLD_PTR - TypedBuffer
  - FLD_FML32 - TypedFML32
  - FLD_VIEW32 - Not yet supported

  Parameters:
    `fldid` - The field id of the element to retrieve
    `occurance` - The occurance number of the element to retrieve
  Returns:
    the field object stored at that occurance number
  Throws:
    `Ferror` - if the object is not found in the buffer among other reasons

### Fiterator

    public Iterator Fiterator()
                       throws Ferror

  Returns an iterator for the start of the fielded FML buffer. This is a replacement for the Fnext functionality in Tuxedo API. An example usage may be as follows. fmliter = fmlobj.Fiterator(); while(fmliter.hasNext()) { entry = (Map.Entry)fmliter.next(); fmlkey = (FmlKey) entry.getKey(); switch(Fldtype(fmlkey.get_fldid())) { case FLD_SHORT: value_short = (Short) entry.getValue(); } }

  Returns:
    the Iterator for the fielded FML buffer
  Throws:
    `Ferror`

### Fldid

    public int Fldid(String name)
              throws Ferror

  Returns the field id corresponding to the given name. A table of FldTbl objects should be loaded into this FML object in order to map the name to a field id.

  Parameters:
    `name` - the name of the field we are trying to find
  Returns:
    The `integer` field id
  Throws:
    `Ferror` - if the field id cannot be found

### Fldno

    public int Fldno(int fldid)

  Given a fieldid, this returns the field number

  Parameters:
    `fldid` - The field id from which to extract the field number
  Returns:
    The field number associated with this feild id

### Fldtype

    public int Fldtype(int fldid)

  Given a fieldid, this returns the field type

  Parameters:
    `fldid` - The field id from which to extract the field type
  Returns:
    The following field types:
    - FLD_SHORT
    - FLD_LONG
    - FLD_CHAR
    - FLD_FLOAT
    - FLD_DOUBLE
    - FLD_STRING
    - FLD_CARRAY
    - FLD_INT
    - FLD_DECIMAL
    - FLD_PTR
    - FLD_FML32
    - FLD_VIEW32

### Fname

    public String Fname(int fldid)
                 throws Ferror

  Returns the string that matches the given fieldid. For this mapping a list of FldTbl objects should be loaded into this FML object.

  Parameters:
    `fldid` - The field id to map to a string
  Returns:
    The name of the fiels
  Throws:
    `Ferror` - if the name cannot be found

### Foccur

    public int Foccur(int fldid)

  Returns the number of occurences of the field specified by fldid

  Parameters:
    `fldid` - the field id to look for in the fielded FML buffer
  Returns:
    the number of occurences of a fldid in the fielded FML buffer

### Fused

    public int Fused()
              throws Ferror

  Returns the amount of space that this FML buffer will take when present

  Throws:
    `Ferror`

### getFieldTables

    public FldTbl[] getFieldTables()

  gets the current list of FldTbls that are being used by this TypedFML object to do FldId/String mappings.

  Returns:
    The list of FldTbl objects used for FldId/String mappings

### setFieldTables

    public void setFieldTables(FldTbl[] tables)

  This function sets the list of FldTbl objects that can be used for FldId/String mappings

  Parameters:
    `tables` - The list of tables to use for FldId/String mappings
  See Also:
    `FldTbl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD